package cn.freemud.entities.dto.promotion;

import io.swagger.annotations.ApiModelProperty;

public class ActivityTimeVO {
    @ApiModelProperty(value="开始日期", name="startDate", example="2019-06-14")
    private String startDate;
    @ApiModelProperty(value="结束日期", name="endDate", example="2019-06-15")
    private String endDate;

    /**
     * 周限制
     */
    @ApiModelProperty(value="周", name="week", example="1,3,5")
    private String week;
    @ApiModelProperty(value="开始时间", name="startTime", example="09:00:00")
    private String startTime;
    @ApiModelProperty(value="结束时间", name="endTime", example="23:59:59")
    private String endTime;
    @ApiModelProperty(value="每月N号", name="monthDay", example="2,4,5")
    private String monthDay;
    @ApiModelProperty(value="是否可用", name="isCanUse", example="1")
    private Integer isCanUse;

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getWeek() {
        return week;
    }

    public void setWeek(String week) {
        this.week = week;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getIsCanUse() {
        return isCanUse;
    }

    public void setIsCanUse(Integer isCanUse) {
        this.isCanUse = isCanUse;
    }

    public String getMonthDay() {
        return monthDay;
    }

    public void setMonthDay(String monthDay) {
        this.monthDay = monthDay;
    }
}